This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276089 - rhel-osp-director: openstack-heat-api-cloudwatch is failed in openstack-status output on overcloud controller.
rhel-osp-director: openstack-heat-api-cloudwatch is failed in openstack-statu...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
x86_64 Linux
medium Severity medium
: ---
: 7.0 (Kilo)
Assigned To: chris alfonso
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 12:45 EDT by Alexander Chuzhoy
Modified: 2016-04-18 02:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 04:59:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
heat-api-cloudwatch.log (3.28 KB, text/plain)
2015-10-28 12:47 EDT, Alexander Chuzhoy
no flags Details

  None (edit)
Description Alexander Chuzhoy 2015-10-28 12:45:11 EDT
rhel-osp-director: openstack-heat-api-cloudwatch is failed in openstack-status output on overcloud controller.

Environment:
instack-undercloud-2.1.2-29.el7ost.noarch
openstack-heat-api-2015.1.1-5.el7ost.noarch

Steps to reproduce:
1. Deploy HA overcloud.
2. Login to a controller and run openstack-status.


Result:

[root@overcloud-controller-0 ~]# openstack-status                             
== Nova services ==                                                           
openstack-nova-api:                     active    (disabled on boot)          
openstack-nova-cert:                    inactive  (disabled on boot)          
openstack-nova-compute:                 inactive  (disabled on boot)          
openstack-nova-network:                 inactive  (disabled on boot)          
openstack-nova-scheduler:               active    (disabled on boot)          
openstack-nova-conductor:               active    (disabled on boot)          
== Glance services ==                                                         
openstack-glance-api:                   active    (disabled on boot)          
openstack-glance-registry:              active    (disabled on boot)          
== Keystone service ==                                                        
openstack-keystone:                     active    (disabled on boot)          
== Horizon service ==                                                         
openstack-dashboard:                    uncontactable                         
== neutron services ==                                                        
neutron-server:                         active    (disabled on boot)          
neutron-dhcp-agent:                     active    (disabled on boot)          
neutron-l3-agent:                       active    (disabled on boot)          
neutron-metadata-agent:                 active    (disabled on boot)          
neutron-lbaas-agent:                    inactive  (disabled on boot)          
neutron-openvswitch-agent:              active    (disabled on boot)          
neutron-metering-agent:                 inactive  (disabled on boot)          
== Swift services ==                                                          
openstack-swift-proxy:                  active                                
openstack-swift-account:                active                                
openstack-swift-container:              active                                
openstack-swift-object:                 active                                
== Cinder services ==                                                         
openstack-cinder-api:                   active    (disabled on boot)
openstack-cinder-scheduler:             active    (disabled on boot)
openstack-cinder-volume:                active    (disabled on boot)
openstack-cinder-backup:                inactive  (disabled on boot)
== Ceilometer services ==
openstack-ceilometer-api:               active    (disabled on boot)
openstack-ceilometer-central:           active    (disabled on boot)
openstack-ceilometer-compute:           inactive  (disabled on boot)
openstack-ceilometer-collector:         active    (disabled on boot)
openstack-ceilometer-alarm-notifier:    active    (disabled on boot)
openstack-ceilometer-alarm-evaluator:   active    (disabled on boot)
openstack-ceilometer-notification:      active    (disabled on boot)
== Heat services ==
openstack-heat-api:                     active    (disabled on boot)
openstack-heat-api-cfn:                 active    (disabled on boot)
openstack-heat-api-cloudwatch:          failed    (disabled on boot)
openstack-heat-engine:                  inactive  (disabled on boot)
== Support services ==
mysqld:                                 inactive  (disabled on boot)
libvirtd:                               active
openvswitch:                            active
dbus:                                   active
rabbitmq-server:                        inactive  (disabled on boot)
memcached:                              active    (disabled on boot)
== Keystone users ==
Warning keystonerc not sourced




Expected result:
No failed services.
Comment 2 Alexander Chuzhoy 2015-10-28 12:47 EDT
Created attachment 1087282 [details]
heat-api-cloudwatch.log
Comment 3 Jaromir Coufal 2015-12-08 05:48:49 EST
Can you help me to understand impact on the end-user here? Thanks
Comment 4 Zane Bitter 2015-12-08 09:59:31 EST
AFAICT the only thing this is still used for is the cloud-watch-lite implementation in Heat, which has been deprecated for ages (and will be disabled by default starting with OSP8) in favour of Ceilometer alarms. It doesn't even work with multiple heat-engine processes, so probably nobody should be using it in the configuration that we install it anyway.

Note You need to log in before you can comment on or make changes to this bug.